Page MenuHomePhabricator

Redirect lzh.wikipedia to zh-classical.wikipedia
Closed, ResolvedPublic

Description

lzh.wikipedia.org -> zh-classical.wikipedia.org
lzh.m.wikipedia.org -> zh-classical.m.wikipedia.org

If we want to rename it, it's required to hold a formal vote to gain community consensus. But I think it won't hurt if we just add an alias to CNAME first.

Details

Event Timeline

vjudge404 created this task.Jun 9 2017, 2:11 PM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptJun 9 2017, 2:11 PM
vjudge404 updated the task description. (Show Details)Jun 9 2017, 2:40 PM
ema moved this task from Triage to Caching on the Traffic board.Jun 12 2017, 3:21 PM
Verdy_p renamed this task from Add an redirect lzh.wikipedia to zh-classical.wikipedia to Redirect lzh.wikipedia to zh-classical.wikipedia.Aug 23 2017, 6:31 PM
Meno25 removed a subscriber: Meno25.Nov 23 2018, 7:33 AM

Change 481532 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/dns@master] Add 'lzh' as alias for 'zh-classical'

https://gerrit.wikimedia.org/r/481532

Change 481533 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/puppet@production] Add redirects from lzh to zh-classical

https://gerrit.wikimedia.org/r/481533

Krinkle removed a subscriber: Krinkle.Jan 2 2019, 12:28 AM
Viztor added a subscriber: Viztor.EditedJul 21 2019, 12:17 PM

This really shouldn't be difficult. A regular CNAME/redirect would neatly do the job. I see the diff, but somehow it's not implemented. Any insight on the deployment cycle?

Change 481533 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/puppet@production] Add redirects from 'lzh' to 'zh-classical'

https://gerrit.wikimedia.org/r/481533

Change 481532 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[operations/dns@master] Add 'lzh' as alias for 'zh-classical'

https://gerrit.wikimedia.org/r/481532

Change 481533 merged by Vgutierrez:
[operations/puppet@production] Add redirects from 'lzh' to 'zh-classical'

https://gerrit.wikimedia.org/r/481533

Change 481532 merged by Vgutierrez:
[operations/dns@master] Add 'lzh' as alias for 'zh-classical'

https://gerrit.wikimedia.org/r/481532

Viztor closed this task as Resolved.Aug 12 2019, 7:14 AM
Viztor claimed this task.

Thanks everyone, this has been deployed.

Fomafix reopened this task as Open.Aug 12 2019, 7:53 AM

lzh.wikipedia.org works:

$ curl https://lzh.wikipedia.org/
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>301 Moved Permanently</title>
</head><body>
<h1>Moved Permanently</h1>
<p>The document has moved <a href="https://zh-classical.wikipedia.org/">here</a>.</p>
</body></html>

But lzh.m.wikipedia.org has the wrong target:

$ curl https://lzh.m.wikipedia.org/
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>301 Moved Permanently</title>
</head><body>
<h1>Moved Permanently</h1>
<p>The document has moved <a href="https://zh-classical.wikipedia.org/">here</a>.</p>
</body></html>

Is rOPUP145075690316 already deployed?

yeah, it's deployed, and actually I think we can drop the lzh.m.wikipedia.org rule from there, checking other languages redirects, it seems that it is not needed and if you open https://lzh.m.wikipedia.org/ from a mobile phone you end up in https://zh-classical.m.wikipedia.org/

Change 529710 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] redirects.dat: Drop unnecessary lzh.m.wikipedia.org rule

https://gerrit.wikimedia.org/r/529710

Change 529711 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] nc_redirects: Add lzh -> zh-classical language redirection for wikipedia.com

https://gerrit.wikimedia.org/r/529711

Change 529710 merged by Vgutierrez:
[operations/puppet@production] redirects.dat: Drop unnecessary lzh.m.wikipedia.org rule

https://gerrit.wikimedia.org/r/529710

Change 529711 merged by Vgutierrez:
[operations/puppet@production] nc_redirects: Add lzh -> zh-classical language redirection for wikipedia.com

https://gerrit.wikimedia.org/r/529711

Vgutierrez closed this task as Resolved.Aug 12 2019, 8:46 AM
Viztor reassigned this task from Viztor to Fomafix.Aug 15 2019, 1:58 AM